<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\DB;

/**
 * SqlStatement reprezentuje SQL vyraz (nebo jeho cast) vcetne parametru.
 */
class SqlStatement
{
    /** @var string     Text SQL dotazu */
    public $sqlText;
    /** @var Parameters Parametry SQL dotazu */
    public $parameters;

    /**
     * SqlStatement constructor.
     * @param string $sqlText
     * @param Parameters $parameters
     */
    public function __construct($sqlText, Parameters $parameters)
    {
        $this->sqlText = $sqlText;
        $this->parameters = $parameters;
    }

    function __toString()
    {
        return $this ->sqlText;
    }

    /**
     * Pripoji k tomuto SQL vyrazu dalsi vyraz - pripoji text pripojovaneho vyrazu a prida jeho parametry ke svym parametrum
     * @param string|SqlStatement $sql  Pripojovany SqlStatement
     */
    public function append($sql)
    {
        if (!$sql) {
            return;
        }

        if ($sql instanceof SqlStatement) {
            $this ->sqlText .= ' ' . $sql ->sqlText;
            $this ->parameters ->appendParameters($sql ->parameters);
        } else {
            $this ->sqlText .= ' ' . $sql;
        }
    }
}
