<?php
/**
 * UTF8
 * Roman.Szablatura RON Software 12.02.2019
 * Pavel.Rudol RON Software 01/2023
 */
//declare(strict_types=1);
namespace Ron\RonPortal;

use Ron\Controls\ComboBox;
use Ron\Controls\Options;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Controls\FormReportsListView;
use RonPortal\Mzdy\NastaveniOdpoctu;
use function Ron\ronText;


$model = Model::getInstance();

$database = $model->getData('database');
$obdobi_timestamp = $model->getData('datumObdobi_timestamp');

$adresa = $model->getData('adresa');
$partnerPoplatnika = $model->getData('partnerPoplatnika');
$rodne_cislo_z_ou = $model->getData('rodne_cislo_z_ou');

/** @var ZadostOZuctovaniZaloh $hodnotyZadosti */
$hodnotyZadosti = $model->getData('hodnotyZadosti');
$datumObdobi = $model->getData('datumObdobiRok');
$detiPoplatnika = $model->getData('detiPoplatnika');
$chybaPP = $model->getData('chybaPP');

/** @var Options $volby_comboboxu */
$volby_comboboxu = $model->getData('volby_comboboxu');

/** @var PracovniPomer $pracovniPomer */
$pracovniPomer = $model->getData('pracovniPomer');

$lzeEditovat = ($hodnotyZadosti->zadostPortalStav == 0 || $hodnotyZadosti->zadostPortalStav == 2) && $hodnotyZadosti->zadostElektronicky && !$hodnotyZadosti->schvaleno && DaneController::lzeEditovatVyuctovani($datumObdobi);
$disabled = $hodnotyZadosti->provestRocniVyuctovani && $lzeEditovat ? "" : "disabled";

/** @var NastaveniOdpoctu $nastaveniOdpoctu */
$nastaveniOdpoctu = $model->getData('nastaveniOdpoctu');

$rok = (int)date("Y", $obdobi_timestamp);

$reportlist = $model->getData('reportlist');

$jednoduchyVzhled = RonPortalSettings::getIntValue('dane_zjednoduseny_vzhled');

if ($jednoduchyVzhled) {
    $classStr = 'class="dane_info_skryte"';
} else {
    $classStr = 'class="padding-bottom-2"';
}

?>

<?php MessageManager::getInstance() ->showMessages(); ?>

<?php if ($chybaPP)  { ?>

    <div class="form">
        <div class="form-content">
            <?=   ronText('formular_nelze_vyplnit') ?>
        </div>
        <div class="buttons">
            <input type="button" class="button clickHref" data-ron-href="?menuid=dane&action=zadost" value="<?= ronText('zpet')?>">
        </div>
    </div>

<?php } else { ?>

    <?php
        if ($lzeEditovat) {
            echo
            "<div id='novydokument' title='" . ronText('Vlozit_novy_dokument') . "' class='rondialog'>
            <div>
                <div class='row'>
                    <div class='col col-12 col-sm-4 caption'>" . ronText('Nahrat_soubor') . "</div>
                    <div class='col col-12 col-sm-8' id='input-file'><input type='file' name='soubor'></div>
                </div>
            </div>
            <div class='buttons'>
                <div>
                    <input id='vlozitDokumentBtn' type='button' class='button' value='" . ronText('form.Insert') . "' />
                    <input id='stornoDokumentBtn' type='button' class='button cancel' value='" . ronText('Cancel') . "' />
                </div>
            </div>
            
            </div>";
        }
    ?>

    <form method="post" name="formularzadosti" enctype="multipart/form-data" action="?menuid=dane&action=ulozitzadost">
        <input type="hidden" name="datumobdobi" value="<?= $datumObdobi ?>">
        <input type="hidden" name="osoba" value="<?= $pracovniPomer->idPP ?>">
        <input type="hidden" name="datumProhlaseniPortal" value="<?= $hodnotyZadosti->datumProhlaseniPortal ?>">
        <input type="hidden" name="skolkovne_max" value="<?= $nastaveniOdpoctu->maxSkolkovne ?>">

        <div class='form large-form zadost-zuctovani'>
            <div class="form-content">

                <div class="row">
                    <div class="col col-12 col-md-12 center">
                        <h1> <?= ronText("zadost") . ($hodnotyZadosti->provestRocniVyuctovani == 0 ? " - " . ronText("zadost_nezadam") : " - " . ronText("zadost_zadam") ) ?> </h1>
                    </div>
                </div>

                 <div class="row">
                    <div class="col col-12 col-md-12 center">
                        <h3><?= ronText("zadost_za_zdanovaci_obdobi")?>
                            <label>
                                <?php //"Žádost a o roční zúčtování záloh" je za předchozí rok ?>
                                <?= date('Y', $datumObdobi); ?>
                            </label>
                        </h3>
                    </div>
                </div>

                <?php if ($hodnotyZadosti->zadostPortalStav == 2 && $hodnotyZadosti->poznamkaZadosti) { ?>
                    <div class="row">
                        <div class="col col-12 col-md-12 warning">
                            <?= ronText('zadost_poznamka_ucetni') . StringUtils::htmlTextConvert($hodnotyZadosti->poznamkaZadosti) ?>
                        </div>
                    </div>
                <?php } ?>

                <div class="form-content ram">
                    <div class="row">
                        <div class="col col-12 col-md-12 font-weight-bold">
                            <?= ronText("identifikace_poplatnika")?>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col col-12 col-md-4 ">
                            <?= ronText('prijmeni'). ": " ?><span class="font-weight-bold"><?=  StringUtils::htmlTextConvert($pracovniPomer->prijmeni) ?></span>
                        </div>

                        <div class="col col-12 col-md-4">
                            <?= ronText('Prohlaseni_jmeno_ditete'). ": " ?><span class="font-weight-bold"><?=  $pracovniPomer->jmeno ?></span>
                        </div>

                        <div class="col col-12 col-md-4">
                            <?= ronText('rodne_cislo'). ": " ?><span class="font-weight-bold"><?=  StringUtils::htmlTextConvert($hodnotyZadosti->rodneCislo) ?></span>
                        </div>
                    </div>

                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte1"></div>
                <?php } ?>

                <div id="dane_info_skryte1" <?= $classStr ?>>
                    <div class="info"><?= ronText("nejsem_povinen_podat")?></div>
                </div>

                <?php if (!$hodnotyZadosti->danovyNerezident) { ?>

                <div class="row">
                    <div class="col col-12 col-md-12 font-weight-bold">
                        <?= ronText("zadost_uvadim_prijmy_za_obdobi")?>
                    </div>
                </div>

                <div class="form-content ram">
                    <div class="row">
                        <div class="col col-12 col-md-3 center">
                            <?= ronText("v_kalendarnich_mesicich")?>
                        </div>
                        <div class="col col-12 col-md-9 center">
                            <?= ronText("zadost_identifikace_predchozich_platcu")?>
                        </div>
                    </div>

                    <hr class="oddelovac">

                    <?php $predchoziPlatceDane = \RonPortal\RonPortalSettings::getIntValue('danepocetzamestnavatelu', 3); for($i = 0; $i < $predchoziPlatceDane; $i++) { ?>
                        <div class="row">
                             <div class="col col-12 col-md-3">
                                <label title="<?= ronText('')?>">
                                    <input type="text" class="pole-zadosti filter-zadosti-od-do"
                                            name="predchoziplatcedanemesice_<?= $i ?>"
                                            placeholder="mm-mm" <?= $disabled ?>
                                            value="<?= $_POST["predchoziplatcedanemesice_$i"] ?? $hodnotyZadosti->predchoziPrijmyKdyOdKoho[$i][0] ?? '' ?>">
                                </label>
                            </div>

                            <div class="col col-12 col-md-9">
                                <label title="<?= ronText('')?>">
                                    <input type="text" class="pole-zadosti"
                                           name="predchoziplatcedaneadresa_<?= $i ?>"
                                           placeholder="<?php echo ronText('zadost_nazev_platce_dane') . ",    " .
                                              ronText('zadost_ico_platce_dane') . ",    " .
                                              ronText('adresa') . ",     "
                                              ?>" <?= $disabled ?>
                                            value="<?= $_POST["predchoziplatcedaneadresa_$i"] ?? $hodnotyZadosti->predchoziPrijmyKdyOdKoho[$i][1] ?? '' ?>">
                                </label>
                            </div>
                        </div>

                    <?php }?>
                    <input type="hidden" name="pocetpredchozichplatcudane" value="<?= $i?>">

                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte2"></div>
                <?php } ?>

                <div id="dane_info_skryte2" <?= $classStr ?>>
                    <div class="info"><?= ronText("zadost_za_prve")?></div>
                </div>

                <?php
                DaneController::zobrazDokumenty($database, $rok, $pracovniPomer, 'predchozizamestnavatel', $lzeEditovat);
                ?>


                <div class="row">
                    <div class="col col-12 col-md-12 center">
                        <h2><?= ronText("zadost_nezdanitelne_casti")?></h2>
                    </div>
                </div>

                <div class="form-content ram">
                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?= ronText("zadost_casti_zakladu_dane_uplatnuji")?><sup>2)</sup>
                        </div>

                        <div class="col col-12 col-md-6 ">
                            <?= ronText("zadost_uplatnuji_nezdanitelne_casti_zakladu")?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <?= ronText("zadost_nezdanitelne_casti_napoctena_castka") ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <?= ronText("zadost_nezdanitelne_casti_uplatnovana_castka")?>
                        </div>
                    </div>

                    <hr class="oddelovac">

                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadostdaryzadam', $hodnotyZadosti->hodnotaDaru > 0 ? 1 : 0, "$disabled id='zadostdaryzadam'")?>
                        </div>

                        <div class="col col-12 col-md-7 ">
                            <?= ronText("zadost_nezdanitelne_bezuplatne")?>
                        </div>

                        <div class="col col-12 col-md-1 ">
                            <?= StringUtils::format('number0', $hodnotyZadosti->hodnotaDaruNapoctena) ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label>
                                <input type="number" class="odecitatelne-polozky" name="zadostdaryvyse" min="0" value="<?= $_POST['zadostdaryvyse'] ?? $hodnotyZadosti->hodnotaDaru ?>" <?= $disabled ?>>

                                <?php
                                if ($lzeEditovat) {
//                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', ronText('zadost_dary_pripojeni_dokumentu'));
                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', 'dary');
                                } ?>
                            </label>
                        </div>
                    </div>

                    <div class="mobile-only"><br></div>

                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadosturokyzadam', (int)!!($hodnotyZadosti->urokZeStavebSpor), "$disabled")?>
                        </div>

                        <div class="col col-12 col-md-8 ">
                            <?= ronText("zadost_nezdanitelne_uroky")?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label>
                                <input type="number" class="odecitatelne-polozky" name="zadosturokyvyse" min="0" value="<?= $_POST['zadosturokyvyse'] ?? $hodnotyZadosti->urokZeStavebSpor ?>" <?= $disabled ?>>

                                <?php
                                if ($lzeEditovat) {
//                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', ronText('zadost_uroky_pripojeni_dokumentu'));
                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', 'uroky');
                                } ?>
                            </label>
                        </div>
                    </div>

                    <div class="mobile-only"><br></div>

                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadostpenzijnizadam', (int)!!$hodnotyZadosti->penzijniPrip, "$disabled")?>
                        </div>

                        <div class="col col-12 col-md-8 ">
                            <?= ronText("zadost_nezdanitelne_penzijni")?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label>
                                <input type="number" class="odecitatelne-polozky" name="zadostpenzijnivyse" min="0" value="<?= $_POST['zadostpenzijnivyse'] ?? $hodnotyZadosti->penzijniPrip ?>" <?= $disabled ?>>

                                <?php
                                if ($lzeEditovat) {
//                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', ronText('zadost_penzijni_pripojeni_dokumentu'));
                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', 'penzijni');
                                } ?>
                            </label>
                        </div>
                    </div>

                    <div class="mobile-only"><br></div>

                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadostpojistnezadam', (int)!!$hodnotyZadosti->zivotniPojisteni, "$disabled")?>
                        </div>

                        <div class="col col-12 col-md-7 ">
                            <?= ronText("zadost_nezdanitelne_pojistne")?>
                        </div>

                        <div class="col col-12 col-md-1 ">
                            <?= StringUtils::format('number0', $hodnotyZadosti->zivotniPojisteniNapoctene) ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label>
                                <input type="number" class="odecitatelne-polozky" name="zadostpojistnevyse" min="0" value="<?=$_POST['zadostpojistnevyse'] ??  $hodnotyZadosti->zivotniPojisteni ?>" <?= $disabled ?>>

                                <?php
                                if ($lzeEditovat) {
//                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', ronText('zadost_zivotni_pripojeni_dokumentu'));
                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', 'zivotni');
                                } ?>
                            </label>
                        </div>
                    </div>

                    <div class="mobile-only"><br></div>

                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadostclenskezadam', (int)!!$hodnotyZadosti->clenskePrispevky, "$disabled")?>
                        </div>

                        <div class="col col-12 col-md-7 ">
                            <?= ronText("zadost_nezdanitelne_clenske")?>
                        </div>

                        <div class="col col-12 col-md-1 ">
                            <?= $hodnotyZadosti->clenskePrispevkyNapoctene ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label>
                                <input type="number" class="odecitatelne-polozky" name="zadostclenskevyse" min="0" value="<?= $_POST['zadostclenskevyse'] ?? $hodnotyZadosti->clenskePrispevky ?>" <?= $disabled ?>>

                                <?php
                                if ($lzeEditovat) {
//                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', ronText('zadost_clenske_pripojeni_dokumentu'));
                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', 'clenske_prispevky');
                                } ?>
                            </label>
                        </div>
                    </div>

                    <div class="mobile-only"><br></div>


                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadostuhradazazkouskyzadam', (int)!!$hodnotyZadosti->uhradZaZkousky, "$disabled")?>
                        </div>

                        <div class="col col-12 col-md-8 ">
                            <?= ronText("zadost_nezdanitelne_uhrada")?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label>
                                <input type="number" class="odecitatelne-polozky" name="zadostuhradazazkouskyvyse" min="0" value="<?= $_POST['zadostuhradazazkouskyvyse'] ?? $hodnotyZadosti->uhradZaZkousky ?>" <?= $disabled ?>>

                                <?php
                                if ($lzeEditovat) {
//                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', ronText('zadost_zkousky_pripojeni_dokumentu'));
                                    DaneController::zobrazOdkazPripojeniDokumentu($database, $rok, $pracovniPomer, 'odecitatelnepolozky', 'zkousky');
                                } ?>
                            </label>
                        </div>
                    </div>
                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte4"></div>
                <?php } ?>

                <div id="dane_info_skryte4" <?= $classStr ?>>
                    <div class="info"><sup>2)</sup>
                        <?= ronText("zadost_za_ctvrte")?></div>
                    <div class="info"><sup>2a)</sup>
                        <?= ronText("zadost_za_ctvrte_a")?></div>
                </div>

                <?php
                DaneController::zobrazDokumenty($database, $rok, $pracovniPomer, 'odecitatelnepolozky', $lzeEditovat,true,
                    ['dary' => ronText('zadost_dary_pripojeni_dokumentu'),
                        'uroky' => ronText('zadost_uroky_pripojeni_dokumentu'),
                        'penzijni' => ronText('zadost_penzijni_pripojeni_dokumentu'),
                        'zivotni' => ronText('zadost_zivotni_pripojeni_dokumentu'),
                        'clenske_prispevky' => ronText('zadost_clenske_pripojeni_dokumentu'),
                        'zkousky' => ronText('zadost_zkousky_pripojeni_dokumentu')]);
                ?>


                <?php if ($jednoduchyVzhled) { ?>
                    <div class="row">
                        <div class="col col-12 col-md-12 center">
                            <h3><?= ronText("zadost_prohlaseni_k_nezdanitelne_casti_nadpis")?></h3>
                        </div>
                    </div>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte5"></div>
                <?php } ?>

                <div id="dane_info_skryte5" <?= $classStr ?>>
                    <div class="info"><?= ronText("zadost_prohlaseni_k_nezdanitelne_casti")?></div>
                    <div class="info"><?= ronText("zadost_prohlaseni_k_nezdanitelne_casti_info_2023")?>
                        <?php ComboBox::renderComboFromArray([0 => TextManager::_('zadost_prohlaseni_k_nezdanitelne_casti_neuplatnuje'), 1 => TextManager::_('zadost_prohlaseni_k_nezdanitelne_casti_uplatnuje')],
                            'bytovepotrebyuplatnuje', (int)$hodnotyZadosti->bytovePotrebyUplatnuje, ['disabled' => "$disabled", 'class' => 'bytove_potreby'])?>
                        <sup>3)</sup>
                    </div>
                </div>

                <div class="form-content ram">
                    <div class="row">
                        <div class="col col-12 col-md-2 center">
                            <?= ronText("Prohlaseni_jmeno_ditete")?>
                        </div>

                        <div class="col col-12 col-md-2 center">
                            <?= ronText("prijmeni")?>
                        </div>

                        <div class="col col-12 col-md-2 center">
                            <?= ronText("rc")?>
                        </div>

                        <div class="col col-12 col-md-6 center">
                            <?= ronText("zadost_adresa_trvaleho_bydliste")?>
                        </div>
                    </div>

                    <hr class="oddelovac">

                    <?php $pocetJinychOsobUplatnujicichOdpocet = 3; for($i = 0; $i < $pocetJinychOsobUplatnujicichOdpocet; $i++) { ?>
                        <div class="mobile-only"><?= ronText('zadost_osoba') ?></div>
                        <div class="row">
                            <div class="col col-12 col-md-2">
                                <label title="<?= ronText('')?>">
                                    <input type="text" class="pole-zadosti bytove_potreby"
                                           name="jinaosobauplatnujeodpocetjmeno_<?= $i ?>"
                                           value="<?= $_POST["jinaosobauplatnujeodpocetjmeno_$i"] ?? $hodnotyZadosti->osobyUplatnujiciUver[$i][0] ?? '' ?>" <?= $disabled ?>>
                                </label>
                            </div>

                            <div class="col col-12 col-md-2">
                                <label title="<?= ronText('')?>">
                                    <input type="text" class="pole-zadosti bytove_potreby"
                                           name="jinaosobauplatnujeodpocetprijmeni_<?= $i ?>"
                                           value="<?= $_POST["jinaosobauplatnujeodpocetprijmeni_$i"] ?? $hodnotyZadosti->osobyUplatnujiciUver[$i][1] ?? '' ?>" <?= $disabled ?>>
                                </label>
                            </div>


                            <div class="col col-12 col-md-2">
                                <label title="<?= ronText('')?>">
                                    <input type="text" class="pole-zadosti ronRC bytove_potreby"
                                           name="jinaosobauplatnujeodpocetrc_<?= $i ?>"
                                           value="<?= $_POST["jinaosobauplatnujeodpocetrc_$i"] ?? $hodnotyZadosti->osobyUplatnujiciUver[$i][2] ?? '' ?>" <?= $disabled ?>>
                                </label>
                            </div>

                            <div class="col col-12 col-md-6">
                                <label title="<?= ronText('')?>">
                                    <input type="text" class="pole-zadosti bytove_potreby"
                                           name="jinaosobauplatnujeodpocetadresa_<?= $i ?>"
                                           placeholder="<?= ronText('obec') . ": " .
                                           ronText('mesto') . ": " .
                                           ronText('ulice') . ":  " .
                                           ronText('psc') . ":" ?>"
                                           value="<?= $_POST["jinaosobauplatnujeodpocetadresa_$i"] ?? $hodnotyZadosti->osobyUplatnujiciUver[$i][3] ?? '' ?>" <?= $disabled ?>>
                                </label>
                            </div>
                        </div>

                    <?php } ?>
                    <input type="hidden" name="pocetjinychosobuplatnujicichodpocet" value="<?= $pocetJinychOsobUplatnujicichOdpocet?>">

                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte6"></div>
                <?php } ?>

                <div id="dane_info_skryte6" <?= $classStr ?>>
                    <div class="info"><sup>3)&nbsp;</sup><?= ronText("zadost_za_ctvrte_b")?></div>
                    <div class="info"><sup>3a)&nbsp;</sup><?= ronText("zadost_rodne_cislo_info")?></div>
                </div>

                <div class="row">
                    <div class="col col-12 col-md-2 ">
                        <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadostbytovepotrebypred2021', (int)!!$hodnotyZadosti->bytovePotrebyPred2021, ['disabled' => "$disabled", 'class' => 'bytove_potreby'])?><sup>3b)&nbsp;</sup>
                    </div>

                    <div class="col col-12 col-md-10 font-weight-bold">
                        <?= TextManager::_('zadost_bytove_potreby_pred_2021') ?>
                    </div>
                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte8"></div>
                <?php } ?>

                <div id="dane_info_skryte8" <?= $classStr ?>>
                    <div class="info"><?= ronText("zadost_bytove_potreby_pred_2021_info")?></div>
                </div>

                <div class="row">
                    <div class="col col-12 col-md-2 ">
                        <?php ComboBox::renderComboFromArray($volby_comboboxu->data, 'zadostbytovepotrebypo2021', (int)!!$hodnotyZadosti->bytovePotrebyPo2021, ['disabled' => "$disabled", 'class' => 'bytove_potreby'])?><sup>3b)&nbsp;</sup>
                    </div>

                    <div class="col col-12 col-md-10 font-weight-bold">
                        <?= TextManager::_('zadost_bytove_potreby_po_2021') ?>
                    </div>
                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte9"></div>
                <?php } ?>

                <div id="dane_info_skryte9" <?= $classStr ?>>
                    <div class="info"><?= ronText("zadost_bytove_potreby_po_2021_info")?></div>
                    <div class="info"><sup>3b)&nbsp;</sup><?= ronText("zadost_za_ctvrte_c")?></div>
                    <div class="info"><?= ronText("zadost_bytove_potreby_upozorneni")?></div>
                </div>

                <div class="row">
                    <div class="col col-12 col-md-12 font-weight-bold">
                        <?= ronText("zadost_misto_bytove_potreby_2023")?>
                    </div>
                </div>

                <div class="form-content ram">
                    <div class="row">
                        <div class="col col-12 col-md-12 ">
                            <input type="hidden" id="adresabytovepotrebyuveru" value="<?= ronText('obec') . ":" .  $adresa->obecPopis . ", \n" .
                            ronText('mesto') . ":" . $adresa->mesto . ", \n" .
                            ronText('ulice') . ":" . $adresa->ulice . ", \n" .
                            ronText('psc') . ":" . $adresa->psc ?>"  >

                            <label title="<?= ronText('zadost_pouzit_aktualni_adresu')?>">
                            <textarea name="zadostbytovepotrebyuveruadresa" class="bytove_potreby"
                                      id="zadostbytovepotrebyuveruadresa" rows="3" cols="115"
                                      placeholder="<?php echo ronText('obec') . ":     \n" .
                                          ronText('mesto') . ":     \n" .
                                          ronText('ulice') . ":      \n" .
                                          ronText('psc') . ":    " ?>" <?= $disabled ?>><?= $_POST["zadostbytovepotrebyuveruadresa"] ?? $hodnotyZadosti->adresaBytovePotrebyUveru ?></textarea>
                            </label>
                        </div>
                    </div>
                </div>



                <div class="row">
                    <div class="col col-12 col-md-12 center">
                        <h2><?= ronText("zadost_slevy_na_dani")?></h2>
                    </div>
                </div>

                <div class="row">
                    <div class="col col-12 col-md-12 font-weight-bold info">
                        <?= ronText("zadost_uplatnuji_narok_na")?>
                    </div>
                </div>

                <div class="row">
                    <div class="col col-12 col-md-12 info">
                        <?= ronText("zadost_sleva_za_exekuci")?>
                    </div>
                </div>

                <div class="form-content ram">
                    <div class="row">
                        <div class="col col-12 col-md-10 align-center">
                            <?= ronText("zadost_nahrada_exekuce")?><sup>4)&nbsp;</sup>
                        </div>
                        <div class="col col-12 col-md-2 ">
                            <label title="<?= ronText('')?>">
                                <input type="number" class="pole-zadosti"
                                       name="nahrada_exekuce"
                                       value="<?= $_POST["nahrada_exekuce"] ?? $hodnotyZadosti->slevaZaExekuci ?? '' ?>" <?= $disabled ?>>
                            </label>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col col-12 col-md-12 info">
                        <sup>4)&nbsp;</sup><?= ronText("zadost_nahrada_exekuce_info")?>
                    </div>
                </div>

                <?php
                DaneController::zobrazDokumenty($database, $rok, $pracovniPomer, 'slevaexekuce', $lzeEditovat);
                ?>

                <div class="row">
                    <div class="col col-12 col-md-12 info">
                        <?= ronText("zadost_sleva_na_manzelku")?>
                    </div>
                </div>


                <div class="form-content ram">
                    <div class="row">
                        <div class="col col-12 col-md-2 ">
                            <?= ronText("jmeno")?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <?= ronText("prijmeni_partnera")?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <?= ronText("rc")?><sup>5)&nbsp;</sup>
                        </div>

                        <div class="col col-12 col-md-2 center">
                            <?= ronText("zadost_narok_splnen_za")?><sup>5a)</sup>
                        </div>

                        <div class="col col-12 col-md-2 center">
                            <?= ronText("ZTP/P")?><sup>5b)</sup>
                        </div>

                        <div class="col col-12 col-md-2 center">
                            <?= ronText("zadost_narok_splnen_za_ztp")?><sup>5c)</sup>
                        </div>

                    </div>

                    <hr class="oddelovac">

                    <div class="row">
                        <?php if ($partnerPoplatnika) { ?>
                        <div class="col col-12 col-md-2 ">
                            <?php /* ClenoveRodiny.RC, ClenoveRodiny.RC_RodinnehoPrislusnika, RodinnyPrislusnik.Jmeno, RodinnyPrislusnik.Prijmeni,
                      ClenoveRodiny.RodinnyVztah, ClenoveRodiny.PartnerDatumOd, ClenoveRodiny.PartnerDatumDo, RodinnyPrislusnik.DrzitelPrukazuZTTP, S_AnoNe.popis  */?>

                            <?= $partnerPoplatnika[2] ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <?= $partnerPoplatnika[3] ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <?= $partnerPoplatnika[9] ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label>
                                <input type="text" class="pole-zadosti filter-zadosti-od-do" name="slevanapartnera" id="slevanapartnera" placeholder="mm-mm" value="<?= $_POST['slevanapartnera'] ?? $hodnotyZadosti->slevaNaPartnera ?>" <?= $disabled ?>>
                            </label>
                        </div>

                        <div class="col col-12 col-md-2 center">
                            <?= $partnerPoplatnika[7] == 1 ? "X" : "" ?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <label title="<?= ronText('zadost_rozsah_mesicu_naroku')?>">
                                <input type="text"
                                       class="pole-zadosti filter-zadosti-od-do"
                                       name="slevanapartneraproztp"
                                       id="slevanapartneraproztp"
                                       placeholder="mm-mm"
                                       value="<?= $_POST['slevanapartneraproztp'] ?? $hodnotyZadosti->slevaNaPartneraZtp ?>" <?= ($partnerPoplatnika[7] == 0) ? "disabled" : $disabled ?>>
                            </label>
                        </div>

                        <?php } ?>
                    </div>
                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte3"></div>
                <?php } ?>

                <div id="dane_info_skryte3" <?= $classStr ?>>
                    <div class="info"><sup>5)&nbsp;</sup><?= ronText("zadost_rodne_cislo_info")?></div>
                    <div class="info"><sup>5a)&nbsp;</sup><?= ronText("zadost_rozsah_mesicu")?></div>
                    <div class="info"><sup>5b)&nbsp;</sup><?= ronText("zadost_za_druhe")?></div>
                    <div class="info"><sup>5c)&nbsp;</sup><?= ronText("zadost_za_treti_a")?></div>
                </div>

                <?php
                    DaneController::zobrazDokumenty($database, $rok, $pracovniPomer, 'slevanapartnera', $lzeEditovat, $partnerPoplatnika && ($hodnotyZadosti->slevaNaPartnera !== ''));
                ?>

                <br>
                <br>

                  <div class="row">
                    <div class="col col-12 col-md-12 center">
                        <h2><?= ronText("zadost_skolkovne")?></h2>
                    </div>
                </div>

                 <div class="row">
                    <div class="col col-12 col-md-12 info">
                        <?= ronText("zadost_sleva_na_dite")?>
                    </div>
                </div>


                <div class="form-content ram">

                    <div class="row">
                        <div class="col col-12 col-md-3 ">
                            <?= ronText("jmeno")?>
                        </div>

                        <div class="col col-12 col-md-4 ">
                            <?= ronText("prijmeni_ditete")?>
                        </div>

                        <div class="col col-12 col-md-2 ">
                            <?= ronText("rc")?><sup>6)</sup>
                        </div>


                        <div class="col col-12 col-md-3 center">
                            <?= sprintf(ronText('zadost_vynalozena_castka'), $nastaveniOdpoctu->maxSkolkovne) ?>
                        </div>
                    </div>

                    <hr class="oddelovac">

                    <?php $cnt=0; ?>
                    <?php foreach ($detiPoplatnika as $dite) { ?>
                        <?php if($dite['diteDoSestiLet']){ ?>
                            <input type="hidden" name="ditepoplatnika_<?= $cnt ?>" value="<?= $dite['rc_rodinnehoPrislusnika'] ?>">
                            <input type="hidden" name="skolkovnenaditeold_<?= $dite['rc_rodinnehoPrislusnika']?>" value="<?= $dite['skolkovne'] ?>">

                            <div class="row">
                                <div class="col col-12 col-md-3 ">
                                    <?= $dite['jmeno'] ?>
                                </div>

                                <div class="col col-12 col-md-4 ">
                                    <?= $dite['prijmeni'] ?>
                                </div>

                                <div class="col col-12 col-md-3 ">
                                    <?= $dite['rodneCisloRP'] ?>
                                </div>

                                <div class="col col-12 col-md-2 ">
                                    <label>
                                        <input type="number" class="pole-zadosti"
                                               name="skolkovnenadite_<?= $dite['rc_rodinnehoPrislusnika']?>"
                                               min="0"
                                               max="<?= $nastaveniOdpoctu->maxSkolkovne ?>"
                                               value="<?= $_POST["skolkovnenadite_{$dite['rc_rodinnehoPrislusnika']}"] ?? $dite['skolkovne'] ?>" <?= $disabled ?>>
                                    </label>
                                </div>
                            </div>
                            <?php $cnt++; ?>
                        <?php } ?>
                    <?php } ?>
                    <input type="hidden" name="pocetdetipoplatnika" value="<?= $cnt ?>">
                </div>

                <?php if ($jednoduchyVzhled) { ?>
                    <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte10"></div>
                <?php } ?>

                <div id="dane_info_skryte10" <?= $classStr ?>>
                    <div class="info"><sup>6)&nbsp;</sup><?= ronText("zadost_rodne_cislo_ditete_info")?></div>
                </div>

                 <div class="row">
                    <div class="col col-12 col-md-12 info">
                        <?= ronText("zadost_prohlaseni_na_dite_uplatnuji_pouze_ja")?>
                    </div>
                </div>

                <?php
                    DaneController::zobrazDokumenty($database, $rok, $pracovniPomer, 'skolkovne', $lzeEditovat, $cnt);
                ?>

                <br>
                <br>





                <?php } //if ! $danovyNerezident ?>

            </div>


            <?php if ($jednoduchyVzhled) { ?>
                <div class="fa inline-glyph glyph-info dane_info" data-selector="#dane_info_skryte7"></div>
            <?php } ?>

            <div id="dane_info_skryte7" <?= $classStr ?>>
                <div class="info"><?= ronText("zadost_neopravnene_vyplaceni")?></div>
            </div>
            <div class="buttons">
                <input type="button" class="button clickHref" data-ron-href="?menuid=dane" value="<?= ronText('zpet')?>">
                <?php if ($hodnotyZadosti->provestRocniVyuctovani && $lzeEditovat) { ?>
                    <button type="submit" class="button" name="ulozit" value="1"><?= ronText('zadost_ulozit')?></button>
                    <button type="submit" class="button confirmQuestion"  data-ron-confirm-text="<?= ronText('zadost_opravdu_podepsat'); ?>" name="podepsatzadost" value="1"><?= ronText('zadost_potvrzuji_pravdivost_zadosti')?></button>
                <?php } ?>
            </div>
        </div>

        <br>

    </form>

<?php } ?>

<?php
    FormReportsListView::renderReportList($reportlist, '?menuid=dane&action=report&typ=vyuctovani&idpp=' . $pracovniPomer->idPP . '&rok=' . $rok);
?>