<?php
/**
 * Roman.Szablatura RON Software 19.07.2019
 */

namespace RonPortal\Skoleni;

use Ron\Controls\BrowserField;
use Ron\Controls\LinksList;
use Ron\DateUtils;
use Ron\DB\Database;
use Ron\DB\DBException;
use Ron\DB\SqlStatement;
use Ron\GuiUtils;
use Ron\StringUtils;
use Ron\TextManager;
use RonPortal\Controls\FilterFormFilter;
use RonPortal\Controls\JmenoPrijmeniBrowserField;
use RonPortal\Controls\RonPortalBrowser;
use RonPortal\Prava;
use RonPortal\PravaNaOsoby;
use RonPortal\User;
use function Ron\ronText;


/**
 * Class SchvalovaniOsobNaPlanuKurzuFilterForm
 * @package Ron\RonPortal
 */
class SchvalovaniOsobNaPlanuKurzuFilterForm extends SkoleniFilterForm
{
    /** @var PravaNaOsoby $prava */
    public $pravoPrihlasit;

    /** @var PravaNaOsoby $pravoSchvalit */
    public $pravoSchvalit;

//    /** @var string */
//    public $cisloSkoleni;

    /**
     * SchvalovaniOsobNaPlanuKurzuFilterForm constructor.
     * @param $database
     * @param PravaNaOsoby $pravoPrihlasit
     * @param PravaNaOsoby $pravoSchvalit
     */
    public function __construct($database, $pravoPrihlasit, $pravoSchvalit)
    {
        parent::__construct($database, 'skoleni', true);

        $this->pravoPrihlasit = $pravoPrihlasit;
        $this->pravoSchvalit = $pravoSchvalit;
        Prava::nastavObdobiProPrava(time(),time());

        $this->nastavDatumOdDo(true,false);

        $this->f_classname = 'filtercontainer leftcaptions';
        $this->f_formaction = "?menuid=skoleni&action=prihlaseninaplanovaneskoleni&filtrprihlaseninaplanovaneskoleni=planypodlekurzu";

        $this ->addFilter((new FilterFormFilter('filtrprihlaseninaplanovaneskoleni'))
            ->addItem('planypodleosoby', TextManager::_('plany_podle_osoby'))
            ->addItem('planypodlekurzu', TextManager::_('plany_podle_kurzu'))
            ->setSessionName('filtrprihlaseninaplanovaneskoleni'),
            true // top - na prvnim radku
        );

        $this ->addDruhSkoleniFilter();

        $cisloSkoleniFilter = new SchvalovaniOsobCisloSkoleniFilter($this);
        $this ->addFilter($cisloSkoleniFilter);

        $this ->addFilter((new FilterFormFilter('aktualniplanykurzu', FilterFormFilter::TYPE_CHECKBOX))
            ->setCaption2(TextManager::_('filtr_pouze_aktualni_plany'))
        );

        $this ->addFilter((new FilterFormFilter('action', FilterFormFilter::TYPE_HIDDEN))
            ->setValue('prihlaseninaplanovaneskoleni')
        );

//        $this ->addFilter((new FilterFormFilter('filtrprihlaseninaplanovaneskoleni', FilterFormFilter::TYPE_HIDDEN))
//            ->setValue('planypodlekurzu')
//        );
    }

//    /**
//     * @throws DBException
//     */
//    public function renderPouzeKodKurzu()
//    {
//        $params = $this->database->createParameters();
//        $sql =
//            'SELECT DISTINCT CisloSkoleni, Popis' .
//            ' FROM PlanovaneSkoleni' .
//            ' WHERE Stav <> 2' .
//            ($this ->getFilterValue('druhskoleni')
//                ? ' AND DruhSkoleni = ' . $params ->addParameter($this ->getFilterValue('druhskoleni'))
//                : ''
//            );
//        $this ->renderFilterCisloSkoleni($sql, $params, TextManager::_('_vse_'));
//    }

//    public function renderPodMenuPrihlaseniNaPlanovaneSkoleni()
//    {
//        if ($this->pravoPrihlasit->jsouNejakePrava() || $this->pravoSchvalit->jsouNejakePrava()) {
//            LinksList::renderLinks(
//                [
//                    'planypodleosoby' => ronText('plany_podle_osoby'),
//                    'planypodlekurzu' => ronText('plany_podle_kurzu')
//                ],
//                'planypodlekurzu',
//                '?menuid=skoleni&action=prihlaseninaplanovaneskoleni&filtrprihlaseninaplanovaneskoleni=');
//        }
//    }


//     private function loadPodMenuPrihlaseniNaPlanovaneSkoleni()
//    {
//        //Moje kurzy odstraneno (na zadost Martina) jelikoz funkcnost nahrazuje "pro osobu"
//        if ($this->pravoPrihlasit->jsouNejakePrava() || $this->pravoSchvalit->jsouNejakePrava()) {
//            if (isset($_GET['filtrprihlaseninaplanovaneskoleni'])) {
//                $_SESSION['filtrprihlaseninaplanovaneskoleni'] = $_GET['filtrprihlaseninaplanovaneskoleni'];
//            }
//            //Pri prvnim zobrazeni stranky se implicitne nastavi Pro osobu
//            if (!isset($_SESSION['filtrprihlaseninaplanovaneskoleni'])) {
//                $_SESSION['filtrprihlaseninaplanovaneskoleni'] = 'planypodleosoby';
//            }
//        }
//    }


//    public function renderPouzeNeschvalenePlanyKurzu()
//    {
//        echo "<div class='filterrow'>";
//        echo '<span class="filtercaption">';
//            GuiUtils::renderCheckbox('aktualniplanykurzu', ronText('filtr_pouze_aktualni_plany'),
//                isset($_SESSION['aktualniplanykurzu']) && $_SESSION['aktualniplanykurzu'],
//                '', 'clickAutoSubmit');
//        echo "</span>";
//        echo "</div>";
//    }


//    function loadData()
//    {
//        parent::loadData();
//        $this ->loadDruhSkoleni();
//        $this->loadPodMenuPrihlaseniNaPlanovaneSkoleni();
//        $this->loadCisloSkoleni();
//        $_SESSION['aktualniplanykurzu'] = isset($_GET['aktualniplanykurzu']);
//    }


//    /**
//     * @throws DBException
//     */
//    public function renderFilters()
//    {
//        $this->renderPodMenuPrihlaseniNaPlanovaneSkoleni();
//        parent::renderFilters();
        //$this ->renderDruhSkoleni();
        //$this->renderPouzeTypKurzu();
//        $this->renderPouzeKodKurzu();
//        $this->renderPouzeNeschvalenePlanyKurzu();

//        echo
//            '<input type="hidden" name="action" value="prihlaseninaplanovaneskoleni"/>' .
//            '<input type="hidden" name="adsfilterform" value="1"/>' .
//            "<input type='hidden' name='filtrprihlaseninaplanovaneskoleni' value='planypodlekurzu'/>";
//    }
}


/**
 * Filtr pro vyber Kodu kurzu (CisloSkoleni) - musi byt az za Formularem!
 * Pred nactenim zaznamu upravi SQL dotaz podle filtru "druhskoleni"
 * (pokud je druhskoleni zadan, tak nabidne jen skoleni daneho druhu)
 */
class SchvalovaniOsobCisloSkoleniFilter extends CisloSkoleniFilter
{
    /** @var SchvalovaniOsobNaPlanuKurzuFilterForm */
    public $filterForm;

    /**
     * @param SchvalovaniOsobNaPlanuKurzuFilterForm $filterForm
     */
    public function __construct($filterForm)
    {
        parent::__construct('', TextManager::_('_vse_'), 'Stav <> 2');
        $this ->filterForm = $filterForm;
    }


    public function loadOptions(Database $database): FilterFormFilter
    {
        $params = $database->createParameters();
        $this ->setOptionsSql(
            new SqlStatement(
                'SELECT DISTINCT CisloSkoleni, Popis' .
                ' FROM PlanovaneSkoleni' .
                ' WHERE %FILTER%' .
                ($this ->filterForm ->getFilterValue('druhskoleni')
                    ? ' AND DruhSkoleni = ' . $params ->addParameter($this ->filterForm ->getFilterValue('druhskoleni'))
                    : ''
                ) .
                ' ORDER BY %ORDER%',
                $params
            ),
            'Stav <> 2',
            'Popis'
        );

        $this ->setOptionsSqlOrder2('CisloSkoleni');

        return parent::loadOptions($database);
    }

}



/**
 * Class KurzyPodrizenehoField
 * @package Ron\RonPortal
 */
class KurzyPodrizenehoField extends BrowserField
{
    /**
     * @param mixed $value
     * @param int $rowNumber
     * @param string $recordId
     * @param array $rowData
     * @return string
     */
    function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        $urlNaKurzy = "?menuid=skoleni&action=prihlaseninaplanovaneskoleni&filtrprihlaseninaplanovaneskoleni=planypodleosoby&osoba={$rowData['col-idpp']}";

        $textOznameni = TextManager::_(User::hasRC($rowData['col-rc']) ? 'prejit_na_moje_plany' : 'prejit_na_kurzy_osoby');

        return
            "<a href='$urlNaKurzy'>$textOznameni</a>";
    }
}


/**
 * Class ObsazenostNaKurzuField
 * @package Ron\RonPortal
 */
class ObsazenostNaKurzuField extends BrowserField
{
    /**
     * @param mixed $value
     * @param int $rowNumber
     * @param string $recordId
     * @param array $rowData
     * @return string
     */
    function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        $result = '';
        $vycerpano = ((int)$rowData['col-kapacita']-(int)$rowData['col-celkem-prihlasenych']) <= 0
            ? 'minus'
            : '';

        $kapacita = (int)$rowData['col-kapacita'];
        $volno = ((int)$rowData['col-kapacita']-(int)$rowData['col-celkem-prihlasenych']);

        $result .= "<div>";
        $result .= "<span title=''>" . $kapacita . "</span>/<span class=' $vycerpano' >" . $volno . "</span>";
        $result .= "</div>";

        return $result;
    }
}


/**
 * Class StavHromadneField
 * @package Ron\RonPortal
 */
class StavHromadneField extends BrowserField
{
    /**
     * @param mixed $value
     * @param int $rowNumber
     * @param string $recordId
     * @param array $rowData
     * @return string
     */
    function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        if (!isset($rowData['col-potvrzeni'])) {
            return ronText('-');
        }

        switch ($rowData['col-potvrzeni']){
            case 0:
                return ronText('osoba_plan_kurzu_prihlasen_neschvaleno');

            case 1:
                return ronText('osoba_plan_kurzu_prihlasen_schvaleno');

            case 2:
                return ronText('osoba_plan_kurzu_zamitnuto');
        }

        return '';
    }
}


/**
 * Class SchvaleniPrihlaseniOsobyNaKurzuField
 * @package Ron\RonPortal
 */
class SchvaleniPrihlaseniOsobyNaKurzuField extends BrowserField
{
    /** @var PravaNaOsoby $pravoPrihlasit */
    public $pravoPrihlasit;
    /** @var PravaNaOsoby $pravoSchvalit */
    public $pravoSchvalit;

    /**
     * SchvaleniPrihlaseniOsobyNaKurzuField constructor.
     * @param Database $database
     * @param PravaNaOsoby $pravoPrihlasit
     * @param PravaNaOsoby $pravoSchvalit
     */
    function __construct($database, $pravoPrihlasit, $pravoSchvalit)
    {
        parent::__construct($database);
        $this->header = ronText('schvaleni');
        $this->pravoPrihlasit = $pravoPrihlasit;
        $this->pravoSchvalit = $pravoSchvalit;
    }


    /**
     * @param array $rowData
     * @param string $akce  schvalit nebo zamitnout
     * @param string $textOznameniPoznamky
     * @return string
     */
    private function schvalitPrihlaseniLink($rowData, $akce, $textOznameniPoznamky)
    {
        return
            "<span class='pripojit-poznamku-schvaleni js'" .
            " data-ron-akce='$akce'" .
            " data-ron-osoba='" . $rowData['col-idpp'] . "'" .
            " data-ron-cislokurzu='" . StringUtils::htmlTextConvert($rowData['col-cisloskoleni']) . "'" .
            " data-ron-poznamkaschvaleni='" . StringUtils::htmlTextConvert($rowData['col-poznamkaschvalovani']) . "'" .
            ">$textOznameniPoznamky</span>";
    }


    /**
     * @param mixed $value
     * @param int $rowNumber
     * @param string $recordId
     * @param array $rowData
     * @return string
     * @throws \Exception
     */
    function getViewText($value, $rowNumber, $recordId, $rowData)
    {
        $result = '';

        $volnaMista = (int)$rowData['col-kapacita'] - (int)$rowData['col-celkem-prihlasenych'];
        $datumPocatkuKurzu = $this->database->stringToTimestamp($rowData['col-datumpocatkuskoleni']);

        //Prava
        $muzePrihlasit = $this->pravoPrihlasit->lzeZobrazitRC($rowData['col-rc']);
        $muzeSchvalit = $this->pravoSchvalit->lzeZobrazitRC($rowData['col-rc']);

        //Url
        $url = "?menuid=skoleni&action=prihlaseninaplanovaneskoleni&cisloskoleni={$rowData['col-cisloskoleni']}&osoba={$rowData['col-idpp']}&hromadne=1";
        $urlSchvaleni = $url . "&plankurzuzamestnance=schvalit";
        $urlOdhlaseni = $url . "&plankurzuzamestnance=zrusit";
        $urlZamitnuti = $url . "&plankurzuzamestnance=zamitnout";

        //Stav
        $jePrihlasen = isset($rowData['col-potvrzeni']) && (int)$rowData['col-potvrzeni'] === 0;
        $jeSchvalen = (int)$rowData['col-potvrzeni'] === 1;
        $jeZamitnut = (int)$rowData['col-potvrzeni'] === 2;

        if ($datumPocatkuKurzu < DateUtils::today()) {
            // kurz uz probiha nebo probehl
            return ronText('expirace_kurzu');
        }

        if (!$jeSchvalen  &&  !$jePrihlasen  &&  $volnaMista <= 0) {
            // neni prihlasen ani schvalen a kapacita kurzu je naplnena
            return ronText('kapacita_planu_naplnena');
        }

        //Pokud ma pravo na schvaleni ale neni zapsan na planu pak nabidnout prihlaseni a schvaleni jinak pouze prihlaseni
        //Pokud je prihlasen a nema pravo schvalit pak zobrazit pouze text uzivatel je prihlasen
        if ($muzePrihlasit || $muzeSchvalit) {
            if ($jeSchvalen) {
                //Je schvalen -> je i prihlasen
                if ($muzeSchvalit) {
                    $textOznameni = ronText('odhlasit_z_planu_skoleni');
                    return "<a href='$urlOdhlaseni'>$textOznameni</a>";
                }

                return '';
            } else  if ($jePrihlasen) {
                //Je prihlasen, ale neschvalen ->  moznost schvalit nebo ignorovat
                if ($muzeSchvalit) {
                    $result .= "<div>";
                        $textOznameniPoznamky = ronText('schvalit_plan_kurzu_poznamka');
                        $textOznameni = ronText('schvalit_plan_skoleni_uzivatel_ma_zajem');
                        $result .= "<a href='$urlSchvaleni'>$textOznameni</a>";
                        $result .=  "&nbsp;&nbsp;&nbsp;" . $this->schvalitPrihlaseniLink($rowData, 'schvalit', $textOznameniPoznamky);
                    $result .= "</div>";

                    if (!$jeZamitnut) {
                        $result .= "<div>";
                        $textOznameni = ronText('zamitnout');
                        $textOznameniPoznamky = ronText('zamitnout_plan_kurzu_poznamka');
                        $result .= "<a href='$urlZamitnuti'>$textOznameni</a>";
                        $result .=  "&nbsp;&nbsp;&nbsp;" . $this->schvalitPrihlaseniLink($rowData, 'zamitnout', $textOznameniPoznamky);
                        $result .= "</div>";
                    }
                } else {
                    if ($muzePrihlasit){
                        $textOznameni = ronText('odhlasit_z_planu_skoleni');
                        return "<a href='$urlOdhlaseni'>$textOznameni</a>";
                    }

                    return '';
                }

            } else {
                //Neni prihlasen, kapacita je -> moznost prihlasit i schvalit
                $textOznameni = ronText('prihlasit_plan_skoleni_uzivatel_neprojevil_zajem');
                $textOznameniPoznamky = ronText('prihlasit_plan_kurzu_poznamka');
                if ($muzeSchvalit) {
                    $textOznameni = ronText('prihlasit_schvalit_plan_skoleni_uzivatel_neprojevil_zajem');
                    $textOznameniPoznamky = ronText('prihlasit_schvalit_plan_kurzu_poznamka');
                    $result .= "<div>";
                    $result .= "<a title=''  href='$urlSchvaleni'>$textOznameni</a>";
                    $result .= "&nbsp;&nbsp;&nbsp;";
                    $result .= $this->schvalitPrihlaseniLink($rowData, 'schvalit', $textOznameniPoznamky);
                    $result .= "</div>";
                } elseif ($muzePrihlasit) {
                    $result .= "<div>";
                    $result .= "<a title=''  href='$urlSchvaleni'>$textOznameni</a>";
                    $result .= "&nbsp;&nbsp;&nbsp;";
                    $result .= $this->schvalitPrihlaseniLink($rowData, 'schvalit', $textOznameniPoznamky);

                    $result .= "</div>";
                }
            }
        }

        return $result;
    }
}


/**
 * Class SchvalovaniPlanuKurzuBrowser
 */
class SchvalovaniPlanuKurzuBrowser extends RonPortalBrowser
{
    /** @var PravaNaOsoby $pravoPrihlasit */
    public $pravoPrihlasit;
    /** @var PravaNaOsoby $pravoSchvalit */
    public $pravoSchvalit;

    /**
     * SchvalovaniPodrizenychNaPlanuKurzuBrowser constructor.
     * @param Database $database
     * @param $filtrPrihlaseniNaPlanovaneSkoleni
     * @throws \Exception
     */
    public function __construct($database, $filtrPrihlaseniNaPlanovaneSkoleni)
    {
        parent::__construct($database,
            "skoleni&action=prihlaseninaplanovaneskoleni&filtrprihlaseninaplanovaneskoleni=$filtrPrihlaseniNaPlanovaneSkoleni");

        $this->code = 'browserschvalovaniosobpodleplanukurzu';
        $this->tableId = 'schvalovaniosobpodleplanukurzu';

        $this->pravoPrihlasit = Prava::vratPrava('skoleni_prihlasit');
        $this->pravoSchvalit = Prava::vratPrava('skoleni_schvaleni_planu');
        Prava::nastavObdobiProPrava(time(), time());

        $this->filterForm = new SchvalovaniOsobNaPlanuKurzuFilterForm($database, $this->pravoPrihlasit, $this->pravoSchvalit);
        $this->filterForm->loadData();

        $this->sqlFromPart =
            'PracovniPomer' .
            ' INNER JOIN Osoba ON (Osoba.RC = PracovniPomer.RC)' .
            ' CROSS JOIN PlanovaneSkoleni' .
            ' LEFT OUTER JOIN PlanovaneSkoleniOsob ON ((PlanovaneSkoleniOsob.RC = Osoba.RC) AND (PlanovaneSkoleniOsob.CisloSkoleni = PlanovaneSkoleni.CisloSkoleni))';

        $whereParams = $this ->database ->createParameters();
        $this->sqlWherePart = new SqlStatement(
            '(PracovniPomer.Zamestnanec = 1  OR  PracovniPomer.Zamestnanec = 2)' .
            ' AND PracovniPomer.DatumNastupu <= ' . $whereParams ->addDateParameter(time()) .
            ' AND (PracovniPomer.DatumUkonceni >= ' . $whereParams ->addDateParameter(time()) . ' OR PracovniPomer.DatumUkonceni IS NULL)' .
            ' AND PracovniPomer.ID = (SELECT Max(ID) FROM PracovniPomer PP2 WHERE PP2.RC = PracovniPomer.RC)',
            $whereParams);

        $this->defaultSort = 'col-prijmeni';

        $this ->addField(new JmenoPrijmeniBrowserField($this ->database, 'col-jmeno', 'col-prijmeni'))
            ->setCode('col-prijmeni')
            ->setOrdering(true)
            ->setSortSQL('Osoba.Prijmeni, Osoba.Jmeno')
            ->setSortSQLDesc('Osoba.Prijmeni DESC, Osoba.Jmeno DESC');

        $this->addField()
            ->setSqlFieldName('PlanovaneSkoleni.DruhSkoleni') ->setHeaderText('typ_skoleni') ->setOrdering(true)
            ->setCode('col-druhskoleni');

        $this->addField()
            ->setSqlFieldName('PlanovaneSkoleni.CisloSkoleni') ->setHeaderText('cislo_skoleni') ->setOrdering(true)
            ->setCode('col-cisloskoleni');

        $this->addField()
            ->setSqlFieldName('PlanovaneSkoleni.Popis') ->setHeaderText('popis_planu_kurzu') ->setOrdering(true) ->setClassName('font-weight-bold')
            ->setCode('col-popis');

        //Sloupec s proklikem na Schvalovani kurzu podrizeneho
        $this->addField(new KurzyPodrizenehoField($database));

        $this->addField()
            ->setSqlFieldName('PlanovaneSkoleni.DatumPocatkuSkoleni') ->setHeaderText('datum_pocatku_skoleni') ->setFormat('date')
            ->setOrdering(true) ->setAlign('center')
            ->setCode('col-datumpocatkuskoleni');

        $this->addField()
            ->setSqlFieldName('PlanovaneSkoleni.DatumUkonceniSkoleni') ->setHeaderText('datum_ukonceni_skoleni') ->setFormat('date')
            ->setOrdering(true) ->setAlign('center')
            ->setCode('col-datumukonceniskoleni');

        $this->addField(new ObsazenostNaKurzuField($database))
            ->setHeaderText('kapacita_obsazenost_volne')
            ->setAlign('center');

        $this->addField(new StavHromadneField($database))
            ->setSqlFieldName('PlanovaneSkoleniOsob.Potvrzeni')
            ->setCode('col-potvrzeni')
            ->setHeaderText('stav')
            ->setOrdering(true);


        $this->addField(new SchvaleniPrihlaseniOsobyNaKurzuField($database, $this->pravoPrihlasit, $this->pravoSchvalit));

        // hidden fields
        $this ->addField(BrowserField::FIELD_TYPE_HIDDEN)
            ->setSqlFieldName('Osoba.Jmeno')
            ->setCode('col-jmeno');


        $this ->addField(BrowserField::FIELD_TYPE_HIDDEN)
            ->setSqlFieldName('PracovniPomer.Id')
            ->setCode('col-idpp');

        $this ->addField(BrowserField::FIELD_TYPE_HIDDEN)
            ->setSqlFieldName('Osoba.Prijmeni')
            ->setCode('col-prijmeni');

        $this ->addField(BrowserField::FIELD_TYPE_HIDDEN)
            ->setSqlFieldName('Osoba.RC')
            ->setCode('col-rc');

        $this ->addField(BrowserField::FIELD_TYPE_HIDDEN)
            ->setSqlFieldName('PlanovaneSkoleni.PocetOsob')
            ->setCode('col-kapacita');

        $this ->addField(BrowserField::FIELD_TYPE_HIDDEN)
            ->setSqlFieldName(
                '(SELECT COUNT(RC) FROM PlanovaneSkoleniOsob' .
                ' WHERE PlanovaneSkoleniOsob.CisloSkoleni = PlanovaneSkoleni.CisloSkoleni' .
                ' AND PlanovaneSkoleniOsob.Potvrzeni < 2) AS CelkemPrihlasenych')
            ->setCode('col-celkem-prihlasenych');

        // poznamky (zobrazeny na dalsich radcich)
        $this ->addField(BrowserField::FIELD_TYPE_COMMENT)
            ->setSqlFieldName('{fn_CASTWIDEMEMO(PlanovaneSkoleniOsob.PoznamkaSchvalovani)}')
            ->setCode('col-poznamkaschvalovani')
            ->setHeader(TextManager::_('poznamka_schvaleni') . ': ', -1)
            ->setClassName('poznamka')
            ->setHeaderClass('font-weight-bold');

        $this ->addField(BrowserField::FIELD_TYPE_COMMENT)
            ->setSqlFieldName('{fn_CASTWIDEMEMO(PlanovaneSkoleni.Poznamka)}') ->setVisible(false)
            ->setCode('col-poznamka')
            ->setHeader(TextManager::_('poznamka_kurzu') . ': ', -1)
            ->setClassName('poznamka')
            ->setHeaderClass('font-weight-bold');
    }


    function setFilterForm()
    {
        // nedela nic - filtr uz je nastaven v konstruktoru
    }


    /**
     * @return SqlStatement|string
     */
    function getSQLFilter()
    {
        $params = $this->database->createParameters();
        $result = $this ->filterForm ->buildSqlFilter($params);

        //Overeni prav
        $result .=
            ($result ? ' AND ' : '') .
            '(' .
            $this->pravoPrihlasit->sqlFiltr('PracovniPomer',time(),time()) .
            ' OR ' .
            $this->pravoSchvalit->sqlFiltr('PracovniPomer',time(),time()) .
            ')';

        $result .=
            ' AND PlanovaneSkoleni.Stav < 2 ';

        if ($this ->filterForm ->getFilterValue('druhskoleni')) {
            $result .=
                ($result ? ' AND ' : '') .
                ' PlanovaneSkoleni.DruhSkoleni = ' . $params->addParameter($this ->filterForm ->getFilterValue('druhskoleni'));
        }

        if ($this ->filterForm ->filtrovatDatum) {
            $result .=
                ($result ? ' AND ' : '') .
                ' PlanovaneSkoleni.DatumPocatkuSkoleni >= ' . $params->addDateParameter($this->filterForm ->datumOd) .
                ' AND PlanovaneSkoleni.DatumPocatkuSkoleni <= ' . $params->addDateParameter($this->filterForm->datumDo);
        }

        if ($this ->filterForm ->getFilterValue('aktualniplanykurzu')) {
            $result .=
                ($result ? ' AND ' : '') .
                ' PlanovaneSkoleni.DatumPocatkuSkoleni >= ' . $params->addDateParameter(time());
        }

        if ($this ->filterForm ->getFilterValue('cisloskoleni') !== null) {
            $result .=
                ($result ? ' AND ' : '') .
                ' PlanovaneSkoleni.CisloSkoleni = ' . $params->addParameter($this ->filterForm ->getFilterValue('cisloskoleni'));
        }

        return new SqlStatement($result, $params);
    }


    public function render()
    {
        parent::render();
        // dialog pro zapsani poznamky pri prihlasovani
        require 'ronportal/skoleni/view_poznamka_schvaleni_planu.php';
    }

}
